Console emulators for OS 10.3.9

Apple Mac os x 10.3 panther family pack
July 17, 2009 at 02:14:03
Specs: Mac OS X 10.3.9
Hi. I've got an old iMac which runs 10.3.9. I want to play Super Nintendo or Genesis games with it, but all emulators I've found have OS X 10.4 in their minimum requirements.

Can you please provide a link to an emulator that works on 10.3.9?


See More: Console emulators for OS 10.3.9

Report •


#1
July 17, 2009 at 22:35:46
Download the emulators and try them first. Just because they say 10.4 does not mean they always require it.

PowerMac 9600(1 ghz G4)
512mb RAM
50gb SCSI
ATi 9200 PCI


Report •

#2
July 17, 2009 at 23:39:17
Outlander, surely I did test them before asking.

Report •

Related Solutions


Ask Question